Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84808 - adsl-status shows demand-connection enabled always
Summary: adsl-status shows demand-connection enabled always
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 16:07 UTC by Summer Maynard
Modified: 2015-01-08 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-04 11:59:54 UTC


Attachments (Terms of Use)

Description Summer Maynard 2003-02-21 16:07:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
adsl-status shows "Note: You have enabled demand-connection; adsl-status may be
inaccurate.", even though when running adsl-setup, demand connection was entered
as 'no', as it is not a recommended setting and defaults to 'no'.

The GUI shows demand-connection to be off.  Which one should be believed?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up adsl using 'adsl-setup', and leave the default of 'no' for
demand-connecton setting.
2.Run 'adsl-status'.
3.
    

Actual Results:  "Note: You have enabled demand-connection; adsl-status may be
inaccurate." when 'adsl-status' is run." is displayed when 'adsl-status' is run.
 The GUI shows demand-connection to be off.  

Expected Results:  That note should not come up, as demand-connection was set to
no during setup.

Additional info:

Comment 1 Ngo Than 2004-03-04 11:59:54 UTC
it's a bug in adsl-setup.It does not add DEMAND into config file.

it's fixed in 3.5-11.


Note You need to log in before you can comment on or make changes to this bug.